package com.ruoyi.demo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("ddt_brand")
public class Brand implements Serializable {
    @TableId("brand_id")
    private String brandId;

    @TableField("brand_img")
    private String brandImg;

    @TableField("brand_name")
    private String brandName;

    @TableField("business_model")
    private String businessModel;

    @TableField("industry_code")
    private String industryCode;

    @TableField("enterprise_usci")
    private String enterpriseUsci;

    @TableField("per_capita_consumption")
    private Float perCapitaConsumption;

    @TableField("comment_count")
    private Long commentCount;

    @TableField("score")
    private Float score;

    @TableField("menu_info")
    private String menuInfo;

    @TableField("index_score")
    private Float indexScore;

    @TableField("contact")
    private String contact;

    @TableField("telephone")
    private String telephone;

    @TableField("create_date")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createDate;

    @TableField("audit")
    private Long audit;

    @TableField("collect_user_id")
    private String collectUserId;

    @TableField("collect_person")
    private String collectPerson;

    @TableField("collect_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date collectTime;

    @TableField("enter_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date enterTime;

    @TableField("hash")
    private String hash;

    @TableField("update_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @TableLogic
    @TableField("show_delete")
    private int showDelete;
}
