package com.ruoyi.demo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateTimeDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateTimeSerializer;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

@Data
@TableName("bl_business_opportunities_clue")
public class BusinessOpportunitiesClue implements Serializable {
    @TableField("clue_id")
    private String clueId;
    @TableField("attention_id")
    private String attentionId;
    @TableField("contact")
    private String contact;
    @TableField("telephone")
    private String telephone;
    @TableField("follow_up_count")
    private Integer followUpCount;
    @TableField("user_id")
    private String userId;
    @TableField("create_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
