package com.ruoyi.demo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName("ddt_store_wd")
public class StoreWd implements Serializable {
    @TableId("wd_id")
    private String wdId;
    @TableField("brand_id")
    private String brandId;

    @TableField("brand_name")
    private String brandName;
    @TableField("per_capita_consumption")
    private Double perCapitaConsumption;
    @TableField("manage_type_code")
    private String manageTypeCode;
    @TableField("industry_code")
    private String industryCode;
    @TableField("organization_code")
    private String organizationCode;
    @TableField("comment_count")
    private int commentCount;
    @TableField("score")
    private Double score;
    @TableField("buy_info")
    private String buyInfo;
    @TableField("index_score")
    private double indexScore;
    @TableField("business_status")
    private String businessStatus;
    @TableField("business_time")
    private String businessTime;
    @TableField("telephone")
    private String telephone;
    @TableField("contact")
    private String contact;

    @TableField("channel_type")
    private String channelType;

    @TableField("opentime")
    private String opentime;
    @TableField("closetime")
    private String closetime;
}
