package com.ruoyi.demo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class TopologicalHouseWdStatisticsData implements Serializable {

    @TableField("center_wd_id")
    private String centerWdId;

    @TableField("radius")
    private int radius;

    @TableField("house_wd_count")
    private int houseWdCount;

    @TableField("total_households")
    private int totalHouseholds;

    @TableField("total_people_count")
    private int totalPeopleCount;

    @TableField("average_rent")
    private double averageRent;

}
